Subject: bug#50606: Add support for other formats of Guix channels

From: Ludovic Courtès <[email-masked]>
Date: Thu, 16 Sep 2021 22:21:40 +0200

EuAndreh <[email-masked]> skribis:

> My proposal was a little more crude: get the channel code from a tarball.  In
> this model there are no authentications with fingerprint or signed commits,
> neither "guix pull" would know much about the before/after state of a channel
> besides comparing the checksum of the whole tarball.
>
> This lower level abstraction is much less sofisticated, and would probably mean
> refetching and rebuilding from tarball-backed channels than Git channels.  But
> this also means that the requirement is lower, and much more universal: a
> tarball file served over HTTP, compared to a specific Git HTTP protocol.

Note that we already have -L and GUIX_PACKAGE_PATH as an alternative to
full-blown channels.  I’d recommend using that when in need of a
lightweight alternative.  How does that sound?

Thanks,
Ludo’.